"""
URL configuration for core project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/6.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

urlpatterns = [
    # Admin panel
    path('admin/', admin.site.urls),
    # API endpointi
    path('api/kupci/', include('kupci.urls')),
    path('api/fleet/', include('fleet.urls')),
    path('api/operativa/', include('operations.urls')),
    path('api/kalendar/', include('kalendar.urls')),
    path('api/users/', include('users.urls')),
    # Endpoint za dobivanje tokena (Login)
    path('api/token/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    # Endpoint za osvježavanje tokena (da se ne mora stalno logirati)
    path('api/token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
]

# Dodajemo pristup media datotekama samo u development fazi
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)